Skip to main content
POST
/
api
/
v1
/
coding
/
sessions
Create Session
curl --request POST \
  --url https://api.example.com/api/v1/coding/sessions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "language": "python",
  "task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "code_input": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "language": "<string>",
  "status": "<string>",
  "review_status": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "sandbox_id": "<string>",
  "code_input": "<string>",
  "code_output": "<string>",
  "execution_result": {},
  "review_notes": "<string>",
  "completed_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
language
string
default:python
task_id
string<uuid> | null
code_input
string | null

Response

Successful Response

id
string<uuid>
required
user_id
string<uuid>
required
language
string
required
status
string
required
review_status
string
required
created_at
string<date-time>
required
task_id
string<uuid> | null
sandbox_id
string | null
code_input
string | null
code_output
string | null
execution_result
Execution Result · object
review_notes
string | null
completed_at
string<date-time> | null